Debian Bug report logs - #99264
dialog-0.9a and exit error code

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Petr Vandrovec <vandrove@vc.cvut.cz>

Date: Wed, 30 May 2001 16:48:02 UTC

Severity: wishlist

Found in version 0.9a-20010527-1

Fixed in version dialog/0.9a-20011014-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@herndon4.his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#99264; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Petr Vandrovec <vandrove@vc.cvut.cz>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Vandrovec <vandrove@vc.cvut.cz>
To: submit@bugs.debian.org
Subject: dialog-0.9a and exit error code
Date: Wed, 30 May 2001 18:35:11 +0200
Package: dialog
Version: 0.9a-20010527-1
Severity: wishlist

Hi Santiago,
  would it be possible to change

exit(-1);

  in exiterr() function in util.c in dialog to

exit(253);

  or something like that? If user hits ESC key in dialogs,
exit(255) is executed and so I cannot determine whether
user hit esc or whether there was some problem with dialog
itself - usually 'cannot initialize curses' error - so user
even did not saw question. 

  Other solution is changing ESC code from 255 somewhere 
else, but I'm sure that this would break more things than 
changing fatal error code.
			Thanks,
				Petr Vandrovec
				vandrove@vc.cvut.cz




Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 99264-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: <99264-forwarded@bugs.debian.org>, Petr Vandrovec <vandrove@vc.cvut.cz>
Subject: Bug#99264: dialog-0.9a and exit error code (fwd)
Date: Thu, 31 May 2001 16:51:42 +0200 (CEST)
Hello.

Received from the Debian Bug System:

---------- Forwarded message ----------
Date: Wed, 30 May 2001 18:35:11 +0200
From: Petr Vandrovec <vandrove@vc.cvut.cz>
To: submit@bugs.debian.org
Subject: Bug#99264: dialog-0.9a and exit error code

Package: dialog
Version: 0.9a-20010527-1
Severity: wishlist

Hi Santiago,
  would it be possible to change

exit(-1);

  in exiterr() function in util.c in dialog to

exit(253);

  or something like that? If user hits ESC key in dialogs,
exit(255) is executed and so I cannot determine whether
user hit esc or whether there was some problem with dialog
itself - usually 'cannot initialize curses' error - so user
even did not saw question.

  Other solution is changing ESC code from 255 somewhere
else, but I'm sure that this would break more things than
changing fatal error code.
			Thanks,
				Petr Vandrovec
				vandrove@vc.cvut.cz




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#99264; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to "Petr Vandrovec" <VANDROVE@vc.cvut.cz>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #13 received at 99264@bugs.debian.org (full text, mbox):

From: "Petr Vandrovec" <VANDROVE@vc.cvut.cz>
To: dickey@herndon4.his.com
Cc: <99264@bugs.debian.org>, sanvila@debian.org
Subject: Re: Bug#99264: dialog-0.9a and exit error code (fwd)
Date: Thu, 31 May 2001 17:38:34 MET-1
On 31 May 01 at 16:51, Santiago Vila wrote:
> 
> Received from the Debian Bug System:
> 
>   in exiterr() function in util.c in dialog to
> 
> exit(253);
> 
>   or something like that? If user hits ESC key in dialogs,
> exit(255) is executed and so I cannot determine whether
> user hit esc or whether there was some problem with dialog
> itself - usually 'cannot initialize curses' error - so user
> even did not saw question.

Hi Dickey,
  and if you are going to change this, please look also for
exits which happen due to bad arguments - I found that it returns
zero in this case. Fortunately bad arguments can happen only
due to programming error, not due to environment, but it would
be nice anyway to have this error code different from 'OK' button hitted.

                                    Thanks,
                                            Petr Vandrovec
                                            vandrove@vc.cvut.cz



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petr Vandrovec <vandrove@vc.cvut.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 99264-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 99264-close@bugs.debian.org
Subject: Bug#99264: fixed in dialog 0.9a-20011014-1
Date: Mon, 15 Oct 2001 14:54:34 -0400
We believe that the bug you reported is fixed in the latest version of
dialog, which has been installed in the Debian FTP archive:

dialog_0.9a-20011014-1.diff.gz
  to pool/main/d/dialog/dialog_0.9a-20011014-1.diff.gz
dialog_0.9a-20011014.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9a-20011014.orig.tar.gz
dialog_0.9a-20011014-1.dsc
  to pool/main/d/dialog/dialog_0.9a-20011014-1.dsc
dialog_0.9a-20011014-1_i386.deb
  to pool/main/d/dialog/dialog_0.9a-20011014-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 99264@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Mon, 15 Oct 2001 19:58:22 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9a-20011014-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 99264 110609
Changes: 
 dialog (0.9a-20011014-1) unstable; urgency=low
 .
   * New upstream release, should fix the following bugs:
   - Allow scripts to alter the exit codes, mainly to distinguish ESC and
     ERROR exits. This is done by setting a shell variable such as DIALOG_ESC
     to a new value (Closes: #99264).
   - Modified dialog.pl to avoid using a statically-named tempfile, allowing
     multiple processes to use this script (Closes: #110609).
   * Added new sample script msgbox2 to the examples directory.
Files: 
 74d1c68135eee71153654800cf489216 628 misc optional dialog_0.9a-20011014-1.dsc
 3099b89807e88d47ad4567cc7964a7b0 194466 misc optional dialog_0.9a-20011014.orig.tar.gz
 10112233f0d3f522fade1e6f1396d44e 5268 misc optional dialog_0.9a-20011014-1.diff.gz
 8993dbae671afe8b4c3a63fb6944ccf8 97830 misc optional dialog_0.9a-20011014-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE7yyS/d9Uuvj7yPNYRAjFwAJ9Au8cgSilVc9JAsWez+SW0Qy1jCACdFlsO
PU1CJbRY1I7ZPUkZlH8yny8=
=LyRo
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:48:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.